Subject: Re: bug#15156: 24.3; !MEM FULL!

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Sep 2013 17:48:37 +0300

> From: "Sebastien Vauban" <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 05 Sep 2013 16:26:44 +0200
> 
> Eli Zaretskii wrote:
> >> From: "Sebastien Vauban" <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Thu, 05 Sep 2013 15:21:41 +0200
> >> 
> >> I could NOT reproduce this problem for days and days, even trying to keep
> >> longer Emacs sessions.
> >> 
> >> Though, it just happened with GNU Emacs 24.3.1.
> >> 
> >>     GNU Emacs 24.3.1 (i386-mingw-nt6.2.9200) of 2013-04-08 on LEG570
> >
> > You mean, it didn't happen in the current development trunk, but still
> > happens quite frequently in 24.3.1?
> 
> No, I simply mean that, when it happened today, it was with 24.3.1.

And before that, it happened with neither 24.3 nor the trunk?

> That said, I have the *impression* that it relates to external processes (such
> as svn or ispell).

All I see in the screencast is that the memory footprint grows, then
shrinks back.  Assuming you have something going on in Emacs that can
explain several hundreds of MBs of memory consumption, that's actually
normal: Emacs uses up memory when it needs it, then releases it when
it no longer does.  So maybe there's no problem here at all.